# Interface MenuItemOptions

interface MenuItemOptions {
className?: string;
clickHandler?: (() => void);
controlText?: string;
label?: string;
multiSelectable?: boolean;
name?: string;
selectable?: boolean;
selected?: boolean;
}

#### Hierarchy (view full)

- ClickableComponentOptions
  - MenuItemOptions
    - PlaybackRateMenuItemOptions
    - TextTrackMenuItemOptions
    - AudioTrackMenuItemOptions
    - ChaptersTrackMenuItemOptions

#####
Index

### Properties

className?
clickHandler?
controlText?
label?
multiSelectable?
name?
selectable?
selected?

## Properties

### `Optional` className

className?: string

Inherited from ClickableComponentOptions.className

### `Optional` clickHandler

clickHandler?: (() => void)

#### Type declaration

- - (): void

  - #### Returns void

Inherited from ClickableComponentOptions.clickHandler

### `Optional` controlText

controlText?: string

Inherited from ClickableComponentOptions.controlText

### `Optional` label

label?: string

### `Optional` multiSelectable

multiSelectable?: boolean

### `Optional` name

name?: string

Inherited from ClickableComponentOptions.name

### `Optional` selectable

selectable?: boolean

### `Optional` selected

selected?: boolean